package org.tio.sitexxx.server.controller;

import org.tio.http.server.annotation.RequestPath;
import org.tio.utils.resp.Resp;

import java.util.ArrayList;

/**
 * 区域请求处理类
 * 
 */
@RequestPath(value = "/area")
public class AreaController {
	/**
	 * 获取所有区域-区域树
	 * @return
	 * @throws Exception
	 */
	@RequestPath(value = "/all")
	public Resp all() throws Exception {
		return Resp.ok().data(new ArrayList<>());
	}

	/**
	 * 单个区域的子列表
	 * @param code
	 * @return
	 */
	@RequestPath(value = "/child")
	public Resp child(String code) {
		return Resp.ok();
	}

	/**
	 * 区域的父列表
	 * @param code
	 * @return
	 */
	@RequestPath(value = "/parent")
	public Resp parent(String code) {
		return Resp.ok();
	}
}
